#### Previous topic

scipy.interpolate.barycentric_interpolate

#### Next topic

scipy.interpolate.pchip_interpolate

# scipy.interpolate.krogh_interpolate

`scipy.interpolate.``krogh_interpolate`(xi, yi, x, der=0, axis=0)

  Convenience function for polynomial interpolation.

  See `KroghInterpolator` for more details.

  Parameters:

  xi : array_like

  > Known x-coordinates.

  yi : array_like

  > Known y-coordinates, of shape `(xi.size, R)`. Interpreted as vectors of length R, or scalars if R=1.

  x : array_like

  > Point or points at which to evaluate the derivatives.

  der : int or list, optional

  > How many derivatives to extract; None for all potentially nonzero derivatives (that is a number equal to the number of points), or a list of derivatives to extract. This number includes the function value as 0th derivative.

  axis : int, optional

  > Axis in the yi array corresponding to the x-coordinate values.

  Returns:

  d : ndarray

  > If the interpolator’s values are R-dimensional then the returned array will be the number of derivatives by N by R. If x is a scalar, the middle dimension will be dropped; if the yi are scalars then the last dimension will be dropped.

  See also

  `KroghInterpolator`

  Notes

  Construction of the interpolating polynomial is a relatively expensive process. If you want to evaluate it repeatedly consider using the class KroghInterpolator (which is what this function uses).